Commit 8655afe8 authored by baktov's avatar baktov
Browse files

prise en compte surcharge classFeatures

Ben ouais pour les frenchy c'est mieux. Thx to @rwanoux
parent a0e478fc
Pipeline #213082455 passed with stages
in 44 seconds
import { FrenchClassFeatures } from './class/ClassFeatures.js'; //----WIP---
Hooks.once('init', () => {
CONFIG.DND5E.classFeatures=FrenchClassFeatures;
// CONFIG.debug.hooks = true;
var remplLanguages = {
......@@ -57,7 +59,7 @@ Hooks.once('init', () => {
"unaligned":"Sans alignement"
}
var typeCreature = {
var typeCreature = {
"aberration (shapechanger)":"Aberration (métamorphe)",
"aberration":"Aberration",
"beast":"Bête",
......@@ -319,7 +321,7 @@ Hooks.once('ready', () => {
}
} );
// pour initer avec 9m de déplacement
Hooks.on('createActor', (actor, options, userId) => {
Hooks.on('preCreateActor', (actor, options, userId) => {
if (actor.data.data.attributes.speed.value == "30 ft") {
mergeObject(actor.data.data.attributes.speed, {value : "9 m"})
}
......
This diff is collapsed.
......@@ -2,7 +2,7 @@
"name": "dnd5e_fr-FR",
"title": "fr-FR - DND5 System",
"description": "<p>Traduction du system DD5 [Atropos]. L'installation du module Babele est nécessaire pour les compendiums [texte du SRD : site aidedd.org]</p><p> *** Rejoignez la communauté Discord FR :<a href='https://discord.gg/pPSDNJk'> https://discord.gg/pPSDNJk </a></p>",
"version": "0.98.3",
"version": "0.98.4",
"systems": ["dnd5e"],
"minimumCoreVersion" : "0.7.5",
"compatibleCoreVersion": "0.7.6",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment